#include <bits/stdc++.h>
using namespace std;

vector <int> solve(vector <int> z)
{
    int n = z.size();
    vector <int> ans;
    if(n % 2 == 0)
    {
        for(int i = 0;i < n / 2;i++)
        {
            ans.push_back(n - i);
            ans.push_back(i + 1);
        }
    }
    else
    {
        for(int i = 0;i < n / 2;i++)
        {
            ans.push_back(n - i);
            ans.push_back(i + 1);
        }
        ans.push_back(n / 2 + 1);
    }
    return ans;
}
int main()
{
    int r1;cin >> r1;
    vector <int> r;
    for(int i = 0;i < r1;i++)
    {
        int a;cin >> a;
        r.push_back(a);
    }
    vector <int> ans = solve(r);
    for(int i = 0;i < r1;i++)
    {
        cout << ans[i] << " ";
    }
    cout << endl;
}
/*
9
5 6 6 3 1 1 4 4 3
*/
